Subject: [bug#67686] [PATCH core-updates v2 0/7] Update glibc to 2.38; make C.UTF-8 always available

From: Efraim Flashner <[email-masked]>
Date: Sat, 9 Dec 2023 18:37:15 +0200

On Sat, Dec 09, 2023 at 03:58:16PM +0100, Ludovic Courtès wrote:
> Hello!
> 
> I’ve just pushed v2:
> 
>   5bbddafeaa gnu: glibc: Improve handling of empty .a files.
>   1cebc334a7 gnu: glibc: Ensure C.UTF-8 locale is always found.
>   c76e44396e gnu: glibc: Install C.UTF-8 locale.
>   d5242a562e gnu: glibc: Update to 2.38.
>   cd43baad60 gnu: mpfr: Update to 4.2.1.
>   3ea04038b5 gnu: glibc-utf8-locales: Generalize and use gexps.
>   22f06be928 gnu: gcc@11: Update to 11.4.0.
> 
> I think it’s just the beginning of a journey :-) since we’ll have to
> test and fix cross-compilation, and eventually investigate the
> (define glibc/hurd glibc) problems Janneke already reported.
> 
> By pushing my hope is to get support from the build farms so we can test
> these higher-level issues without having to rebuild everything locally.

With the v1 patchset I found that by reverting the file update and
bringing it back to 5.44 I was able to build all the way to hello on
x86_64-linux, i686-linux, aarch64-linux, riscv64-linux and
powerpc64le-linux. I haven't tested armhf- or powerpc- yet.

For cross-compiling I ran into a test failure in [email-masked] and 4.2.1
as needed by gcc-cross-i686-linux-gnu-11.4.0.

FAIL: tsprintf
==============

Error in mpfr_vsprintf (s, "%0+ -'13.10Pd:", ...);
expected: "+01,234,567  :"
got:      "+0001,234,567:"
FAIL tsprintf (exit status: 1)

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted